osg::ImageSequence::ImageData Struct Reference

`#include <ImageSequence>`

## Public Member Functions

| ImageData ()
| ImageData (const ImageData &id)
ImageData & | operator= (const ImageData &id)

## Public Attributes

std::string | _filename
osg::ref_ptr< osg::Image > | _image
osg::ref_ptr< osg::Referenced > | _imageRequest

## Constructor & Destructor Documentation

## ImageData() [1/2]

osg::ImageSequence::ImageData::ImageData | ( |  | ) |

Referenced by ImageData(), and operator=().

## ImageData() [2/2]

osg::ImageSequence::ImageData::ImageData | ( | const ImageData & | id | ) |

References ImageData().

## Member Function Documentation

## operator=()

ImageData & osg::ImageSequence::ImageData::operator= | ( | const ImageData & | id | ) |

References ImageData().

## Member Data Documentation

## _filename

std::string osg::ImageSequence::ImageData::_filename

## _image

osg::ref_ptr<osg::Image> osg::ImageSequence::ImageData::_image

## _imageRequest

osg::ref_ptr<osg::Referenced> osg::ImageSequence::ImageData::_imageRequest

The documentation for this struct was generated from the following file:

- ImageSequence